Package groups
Groups that organize packages so customers can browse and choose.
package-groupsPackagesAuthentication: Admin only5 endpointsList package groups
GET
/api/v2/package-groupsAuthentication: Admin only
Query parameters
| Field | Type | Required | Description |
|---|---|---|---|
| page | integer | — | Page number, starting from 1 |
| page_size | integer | — | Items per page |
| sort | string | — | Sort fields, comma-separated; prefix `-` for descending, e.g. `-created_at,id` |
Create package group
POST
/api/v2/package-groupsAuthentication: Admin only
Request body application/json
| Field | Type | Required | Description |
|---|---|---|---|
| des | string | — | Description |
| name | string | Required | Name |
| sort | integer | — | Display order (smaller first). |
Get package group
GET
/api/v2/package-groups/{id}Authentication: Admin only
Update package group
PUT
/api/v2/package-groups/{id}Authentication: Admin only
Request body application/json
| Field | Type | Required | Description |
|---|---|---|---|
| des | string | — | Description |
| name | string | Required | Name |
| sort | integer | — | Display order (smaller first). |
Delete package group
DELETE
/api/v2/package-groups/{id}Authentication: Admin only
Package groups object
| Field | Type | Required | Description |
|---|---|---|---|
| created_at | string | — | Created at |
| des | string | — | Description |
| id | integer | — | Record ID |
| name | string | — | Name |
| sort | integer | — | Display order (smaller first). |
| updated_at | string | — | Updated at |